<template>    
    <StackLayout @tap="$emit('tapedPage')" :class="classSelectedPage_t">
        <Label :text="item.text" class="sideLabel"></Label>
        <label :class="classSelectedPage_b"></label>
    </StackLayout>
</template>

<script>
import store from '../store';
export default {
    props:['item','index'],
    computed:{
        classSelectedPage_b(){
            return store.getters.getSelectedPage(this.index) ? "boring_selected":"boring" ;
        },
        classSelectedPage_t(){
            return store.getters.getSelectedPage(this.index) ? "pageSelected":"" ;
        }
    },
}
</script>

<style scoped>
 /* Estilos para cada item del menu */
    .sideLabel{
        color:#490d66;
        margin-top: 30px;
        margin-bottom: 30px;
        margin-left: 100px;
        margin-right: 20px;
    }

    .pageSelected{
        background-color: rgba(255, 255, 255, 0.5);
    }

    .boring{
        border-width: 2 0 0 0;
        border-color: white;
        margin-left: 50px;
        margin-right: 50px;
    }

    .boring_selected{
        border-width: 2 0 0 0;
        border-color: #7d00cc;
        margin-left: 50px;
        margin-right: 50px;
    }
</style>
